Upload Document Version Annotations
POST
/api/{version}/objects/documents/{doc_id}/versions/{major_version}/{minor_version}/annotationsFile Upload
Section link for File UploadTo upload the file, use the multi-part attachment with the file component "file={file_name}". The maximum allowed file size is 4GB.
Headers
Section link for Headers| Name | Description |
|---|---|
Content-Type | multipart/form-data |
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{doc_id} | The document id field value. |
{major_version} | The document major_version_number__v field value. |
{minor_version} | The document minor_version_number__v field value. |
Request
Section link for Requestcurl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: multipart/form-data" \
-F "file=document2016.pdf" \
https://myvault.veevavault.com/api/v22.2/objects/documents/548/versions/2/1/annotationsResponse
Section link for Response{
"responseStatus": "SUCCESS",
"responseMessage": "OK",
"replies": 0,
"failures": 0,
"new": 0
}Response Details
Section link for Response DetailsOn SUCCESS, Vault associates the uploaded file with the given rendition type for the document with the specified version number.